Bug 134420 - /dev/input/ttyACM0 does not work.
/dev/input/ttyACM0 does not work.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-02 01:16 EDT by Damien
Modified: 2015-01-04 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:14:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien 2004-10-02 01:16:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
I have a USB ISDN modem (NT1 pluss II) that is supposed to function as
an ACM modem.  When I configure wvdial to use /dev/input/ttyACM0 it
does not find the modem.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Plug modem in use USB cable.
2.Configure wvdial accordingly.
3.

Actual Results:  wvdial report it cannot open /dev/input/ttyACM0

Expected Results:  wvdial uses modem to dial as per normal.

Additional info:

This modem works find using the serial connection, however usb is not
working.

I have done `modprobe cdc_acm`.
Modem is viewable in hwbrowser.
Modem is listed in /proc/bus/usb/devices.

I've tried using /dev/input/ttyACM[0-10] to no avail.
I've re-run MAKEDEV usb which create the devices.

I've read through several bug reports here about similar behavour, all
without a fix, the other bugs are slightly different, usually about
modem not being listed in /proc/bus/usb/devices, I dont have that issue.
Comment 1 Harald Hoyer 2004-10-04 04:20:13 EDT
hmm, assigning to kernel, as the driver does not seem to support
/dev/input/ttyACM
Comment 2 Damien 2005-02-07 07:30:49 EST
Does anyone know if this has been fixed yet?  Perhaps in FC3?

In the mean-time if I want to get this working does it mean that I
have to compile the kernel to support this device.  If so does anyone
have any information or point me to information on how to do so.

Comment 3 Dave Jones 2005-04-16 02:14:43 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.